enabling the marketpress plugin on a clean WP3.2.1 install throws loads of errors

I am trying to enable the marketpress plugin on a clean WP3.2.1 install, using the twenty11 theme, Version 1.2, and am getting following warnings all over the place:
Notice: Undefined index: allowed in /www/sites/noesi.net/wp-content/plugins/marketpress/marketpress.php on line 430

Notice: Undefined index: allowed in /www/sites/noesi.net/wp-content/plugins/marketpress/marketpress.php on line 430

Notice: Undefined index: allowed in /www/sites/noesi.net/wp-content/plugins/marketpress/marketpress.php on line 430

Notice: Undefined index: allowed in /www/sites/noesi.net/wp-content/plugins/marketpress/marketpress.php on line 430

Notice: Undefined index: allowed in /www/sites/noesi.net/wp-content/plugins/marketpress/marketpress.php on line 430

Notice: Undefined index: allowed in /www/sites/noesi.net/wp-content/plugins/marketpress/marketpress.php on line 430

Notice: Undefined index: allowed in /www/sites/noesi.net/wp-content/plugins/marketpress/marketpress.php on line 430

Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /www/sites/noesi.net/wp-includes/functions.php on line 3466

Any ideas how to resolve this? I did try to google it, but can't find anything. only using this plugin also throws the same errrors..